Summary:	A date and time plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka panelu Xfce pokazująca datę i czas
Name:		xfce4-datetime-plugin
Version:	0.8.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-datetime-plugin/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	b88e47af4e9e156e43dc993f18218bd3
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-datetime-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	intltool
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxfce4ui-devel >= 4.14.0
BuildRequires:	libxfce4util-devel >= 4.14.0
BuildRequires:	xfce4-dev-tools >= 4.14.0
BuildRequires:	xfce4-panel-devel >= 4.14.0
Requires:	gtk+2 >= 2:2.24.0
Requires:	libxfce4ui >= 4.14.0
Requires:	libxfce4util >= 4.14.0
Requires:	xfce4-panel >= 4.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An additional clock for the Xfce panel which also shows the date, with
adjustable font.

%description -l pl.UTF-8
Wtyczka dla panelu Xfce wyświetlająca datę i czas, wyposażona w
kalendarz.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
# just a copy of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libdatetime.so
%{_datadir}/xfce4/panel/plugins/datetime.desktop
%changelog
* Sun Aug 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-datetime-plugin.git;a=log;h=master

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 21b7baa
- up to 0.8.0

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 7e14c64
- rebuild for XFCE 4.12
- release 4 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> d3d998c
- x32 rebuild
- release 3 (by relup.sh)

* Sun Aug 24 2014 Jakub Bogusz <qboosh@pld-linux.org> c24a773
- comment on ur_PK locale, updated dependencies

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> 970f341
- remove non existing locale
- rel 2

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> 1f88391
- up to 0.6.2

* Fri May 18 2012 Jan Rękorajski <baggins@pld-linux.org> 2f48b44
- rel 5
- fix autocrap by removing invocation of non-existing macro

* Fri May 18 2012 Jan Rękorajski <baggins@pld-linux.org> e861f7e
- disable patch porting to libxfce4ui due to:
  grep: po/Makefile.in: No such file or directory
  config.status: error: po/Makefile.in.in was not created by intltoolize.

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> c4106df
- release 4

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> b632910
- rel 3
- port to libxfce4ui

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> b2bba01
- release 2

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 8a9b7bb
- updated to 0.6.1

* Sun Apr 01 2007 Robert Tomasik <rotom@pld-linux.org> 70e21e1
- up to 0.5.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c806a23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fae5237
- converted to UTF-8

* Sat Jan 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> fbedbfa
- up to 0.4.1

* Sat Jun 18 2005 Marcin Banasiak <marcin.banasiak@gmail.com> 7b5c7a3
- BR: automake

* Wed Mar 09 2005 havner <havner@pld-linux.org> 990a916
- rel up for rebuild with xfce 4.2

* Wed Dec 22 2004 Michal Chruszcz <mchruszcz@gmail.com> 00954f1
- seems that authors changed their mind regarding the name, unifications

* Wed Dec 22 2004 havner <havner@pld-linux.org> e16f835
- rel up for proper BR

